[npm]: https://img.shields.io/npm/v/complugin-babel
[npm-url]: https://www.npmjs.com/package/complugin-babel
[size]: https://packagephobia.now.sh/badge?p=complugin-babel
[size-url]: https://packagephobia.now.sh/result?p=complugin-babel

# complugin-babel

[![npm][npm]][npm-url]
[![size][size]][size-url]

Complugin to compile bundles with the [`babel`](https://www.babeljs.cn/).


## Usage

##### Vite

```ts
// vite.config.ts
import compluginBabel from 'complugin-babel'

export default {
  plugins: [
    compluginBabel.vite({
      /* options */
    })
  ]
}
```

##### Rollup

```ts
// rollup.config.js
import compluginBabel from 'complugin-babel'

export default {
  plugins: [
    compluginBabel.rollup({
      /* options */
    })
  ]
}
```

##### Webpack

```ts
// webpack.config.js
const compluginBabel = require('complugin-babel').default

module.exports = {
  plugins: [
    compluginBabel.webpack({
      /* options */
    })
  ]
}
```

##### esbuild

```ts
// esbuild.config.js
import _esbuild from 'esbuild'
import { proxyEsbuild } from 'complugin'
import compluginBabel from 'complugin-babel'

// Cannot be omitted
const esbuild = proxyEsbuild(_esbuild)

esbuild.build({
  plugins: [
    compluginBabel.esbuild({
      /* options */
    })
  ]
})
```

## Give a ⭐️ if this project helped you!

## License

[MIT](./LICENSE) License © 2022 xxXyh1908
