import * as complugin from 'complugin';
import { TransformOptions } from '@babel/core';

declare type BabelOptions = Omit<TransformOptions, 'fileName' | 'minify' | 'include' | 'exclude'>;
declare namespace compluginBabel {
    interface Options extends BabelOptions {
        include?: (string | RegExp)[];
        exclude?: (string | RegExp)[];
        /**
         * enable cache
         * @default true
         */
        cache?: boolean;
    }
}
declare const compluginBabel: complugin.CompluginInstance<compluginBabel.Options>;

export { compluginBabel as default };
